﻿
@{
    ViewBag.Title = "Product";
}

<h2>Products</h2>

<table id="Product" class="display">
    <thead>
        <tr>
            Product_Id
        </tr>
        <tr>
            Product_Name
        </tr>
        <tr>
            Stock_Available
        </tr>
        <tr>
            Created_At
        </tr>
        <tr>
            Updated_At
        </tr>
    </thead>

</table>

<link href="https://jsonplaceholder.typicode.com/posts"/>
<link href="//cdn.datatables.net/1.10.21/css/jquery.dataTables.min.css" rel="stylesheet"/>
@section scripts{
    <script src="//cdn.datatables.net/1.10.21/js/jquery.dataTables.min.js"></script>
    <script>
        $(document).ready(function () {
            $("#Product").DataTable({
                "ajax": {
                    "url": "/Product/GetData",
                    "type": "Get",
                    "Datatype": "json"

                },
                "columns": [
                    { "data": "Product_Id" },
                    { "data": "Product_Name" },
                    { "data": "Stock_Available" },
                    { "data": "Created_At" },
                    { "data": "Updated_At" }
                ]
            });
        });
    </script>
    }